Welcome to Studio GPBeta's Bug Tracker.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000539SAO Utils[All Projects] 插件/Plug-inpublic2014-07-18 22:162014-09-30 00:54
ReporterDarthScience 
Assigned ToGPBeta 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platform64-bitOSWindowsOS Version7
Product Version0.2.3 (Alpha 2 Hotfix 3) 
Target Version0.2.4 (Alpha 2 Hotfix 4)Fixed in Version 
Summary0000539: Bangumi切换新番列表时提示XML解析错误
Description新番列表是包括两个部分的,一部分是已知放映时间的普通番组,还有一部分(据我观察)是收容当季未确定放松时间的新番,我记得这部分被命名为OVA/OAO/ETC...总之就是列表的下部啦...(以下称为OVA部)

现在就发现OVA部出现错误,具体说来是无法显示(但普通番组部分正常工作),并且还会弹出错误提示,内容如下:
XML解析错误:'no element found' 位于行99
(还有另一个稍微不同的错误提示,“行99”变成了“行47”)

有时候直接就是“无法读取新番列表”...所以错误提示没有出现
Steps To Reproduce更新当前0.2.3版本最初没有出现这个错误,一切都很正常
似乎出现错误是在更新的第4天,那时只是偶尔
随着时间过去,错误的频率在提高
多数时间在手动刷新新番列表后恢复正常
但问题仍在严重化,强制手动刷新已经无法解决问题,必须得重启SAOUtils
现在已经严重到即使是重启SU都无法使OVA部正常工作了,错误频率极高
最近两天甚至严重到SAOUtils开机自启动完毕后就立刻弹出错误提示,并且几乎完全无法恢复正常(极其少的时候是能正常工作的,但我还未判明触发条件...)
(为什么我想起了接受太多的程序错误而心理回路崩溃的结衣酱...)
所以希望这个问题能引起重视,不要让新番列表插件走上结衣酱程序崩溃的道路啊...
【所以我要不要把优先级设置得更高呢?...】
TagsBangumi
Attached Files

- Relationships
has duplicate 0000545closed 刷新Bangumi新番列表时经常提示XML解析错误 
has duplicate 0000541closedGPBeta 开启动漫番更新插件出现错误 
has duplicate 0000602closedGPBeta Sao utils 错误 - XML解析错误: 'no element found' 位于 行 1 
has duplicate 0000610closedGPBeta XML解析错误 
has duplicate 0000612closedGPBeta 每日新番列表插件错误 
has duplicate 0000617closedGPBeta 在启动时出现XML解析错误 

-  Notes
(0000329)
DarthScience (reporter)
2014-07-18 22:33

错误提示又出现变化,这次是:
XML解析错误:'partial character'位于行74

还有原问题描述处我为错误提示写附加内容,就是括弧里面的那些,后来多次验证都没有重现附加内容那样的错误,可能是我记错了吧,希望没造成误导

- Issue History
Date Modified Username Field Change
2014-07-18 22:16 DarthScience New Issue
2014-07-18 22:31 DarthScience Tag Attached: Bangumi
2014-07-18 22:33 DarthScience Note Added: 0000329
2014-08-01 11:20 ASTun Issue cloned: 0000557
2014-08-10 12:37 GPBeta Assigned To => GPBeta
2014-08-10 12:37 GPBeta Status new => resolved
2014-08-10 12:37 GPBeta Resolution open => fixed
2014-08-10 12:37 GPBeta Target Version => 0.2.4 (Alpha 2 Hotfix 4)
2014-08-10 12:37 GPBeta Summary 新番列表插件的OVA/OAO/ETC部分出现错误 => Bangumi切换新番列表时提示XML解析错误
2014-08-10 12:37 GPBeta Relationship added has duplicate 0000545
2014-08-10 12:37 GPBeta Relationship added has duplicate 0000541
2014-08-12 20:00 GPBeta Relationship added has duplicate 0000602
2014-08-12 20:00 GPBeta Relationship added has duplicate 0000610
2014-09-30 00:53 GPBeta Relationship added has duplicate 0000612
2014-09-30 00:54 GPBeta Relationship added has duplicate 0000617


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker